import svelteIcon from '$lib/images/vendorIcons/svelteIcon.svg';
import tailwindIcon from '$lib/images/vendorIcons/tailwindIcon.svg';
import vercelIcon from '$lib/images/vendorIcons/vercelIcon.svg';
import flowbiteSvelteIcon from '$lib/images/vendorIcons/flowbiteSvelteIcon.svg';
import reactIcon from '$lib/images/vendorIcons/reactIcon.svg';
import nextjsIcon from '$lib/images/vendorIcons/nextjsIcon.svg';
import nextuiIcon from '$lib/images/vendorIcons/nextuiIcon.png';
import authjsIcon from '$lib/images/vendorIcons/authjsIcon.webp';
import drizzleIcon from '$lib/images/vendorIcons/drizzleIcon.webp';

export const projects = [
	{
		category: 'svelte',
		title: 'Portfolio',
		url: 'https://rannes.dev',
		description:
			'This project was initially to get familiar with Svelte and showcase my future projects. I find myself that I keep coming back to expand on it whenever I need a break from React.',
		repo: 'https://gitea.rannes.dev/rannes.dev/my-portfolio',
		rss: 'https://gitea.rannes.dev/rannes.dev/my-portfolio.rss',
		image: '',
		vendors: [
			{
				name: 'Svelte',
				img: svelteIcon,
				url: 'https://svelte.dev/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Flowbite',
				img: flowbiteSvelteIcon,
				url: 'https://flowbite-svelte.com//'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	},
	{
		category: 'nextjs',
		title: 'Online Wine Shop.',
		url: 'https://wine-shop-eta.vercel.app/',
		description:
			`To get more familiar with forms, sql and postgres I am building a online wineshop for my friend Ketil (that he didn't ask for). Besides the current technologies, I plan to implement Clerk or Auth.js for auth, and Zustand for state management if neccesary (Something tells me it's needed at least for cart)`,
		repo: 'https://gitea.rannes.dev/rannes.dev/wine-shop',
		rss: 'https://gitea.rannes.dev/rannes.dev/wine-shop.rss',
		image: '',
		vendors: [
			{
				name: 'React',
				img: reactIcon,
				url: 'https://react.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Drizzle',
				img: drizzleIcon,
				url: 'https://orm.drizzle.team/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	},
	{
		category: 'nextjs',
		title: 'Local weather',
		url: 'https://weather.rannes.dev',
		description: 'A simple application to fetch a weekly weather forecast.',
		repo: 'https://gitea.rannes.dev/rannes.dev/local-weather',
		rss: 'https://gitea.rannes.dev/rannes.dev/local-weather.rss',
		image: '',
		vendors: [
			{
				name: 'React',
				img: reactIcon,
				url: 'https://react.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	}
];
